/*
 * $Id: DelayedSyncEventAdapter.java,v 1.3 2005/10/10 12:34:53 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss.dsync.event;

/**
 * DelayedSyncEventAdapter
 * DelayedSyncEventListenerを実装したアダプタ<br>
 * DelayedSyncEventListenerをそのまま使用してサブクラスを作成すると，<br>
 * インターフェースに変更がでた場合にめんどくさくなるので，なるたけこっちを使用すること<br>
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class DelayedSyncEventAdapter implements DelayedSyncEventListener {
	/**
	 * コンストラクタ
	 */
	public DelayedSyncEventAdapter() {
	}

	/**
	 * 相手先からロックコマンドが送信されてきた場合
	 * @param e イベントオブジェクト
	 */
	public void onLock(DelayedSyncEvent e) {
	}
	/**
	 * 相手先からロック解除コマンドが送信されてきた場合
	 * @param e イベントオブジェクト
	 */
	public void onUnlock(DelayedSyncEvent e) {
	}
	/**
	 * 相手先から未処理URLが送信されてきた場合
	 * @param e イベントオブジェクト
	 */
	public void onForwardURL(DelayedSyncEvent e) {
	}
	/**
	 * 相手先から無効化する必要のあるURLが送信されてきた場合
	 * @param e イベントオブジェクト
	 */
	public void onUnforwardURL(DelayedSyncEvent e) {
	}
	/**
	 * 相手先からシャットダウンが指示された場合
	 * @param e イベントオブジェクト
	 */
	public void onShutdown(DelayedSyncEvent e) {
	}
}

// end of DelayedSyncEventAdapter.java
